@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap');
*,
*::after,
*::before {
  box-sizing: border-box;
  scroll-behavior: smooth;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

body {
  margin: 0;
  background-image: url(Images/ds1.jpg);
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}


.navbar {
  position: fixed;
  overflow: hidden;
  width: 100%;
  padding-block: 20px;
  z-index: 1000;
  background-color: rgba(32,59,58, 0.7);
}

.nav-links ul {
  list-style: none;
  display: flex;
  flex-direction: row;
  justify-content:center;
}

.nav-links li a {
  margin-inline: 50px;
  text-decoration: none;
  font-size: 1.4rem;
  color: rgb(255, 255, 255);
  transition: all 0.5s linear;
  font-family:'Poppins', sans-serif;
}

.nav-links li a:hover {
  text-shadow: 
    0 0 14px #f8ffd6, 
    0 0 50px rgb(206, 142, 24), 
    0 0 14px rgb(218, 255, 69); 
}
@media (width<=850px) {
  
    .nav-links ul {
      padding: 0;
      display: flex;
      flex-direction: column;
      gap: 10px;
      justify-content: center;
      align-items: center;
  } }
  
.filters {
  padding-inline: 200px;
  display: flex;
  gap: 20px;
  align-items: center;
  padding-top: 180px;
  color: #ffffff;
}

.select-box {
  display: inline-block;
  width: 210px;
  overflow: hidden;
  text-align: left;
  background-color: white;
  position: relative;
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;

  &::after {
    content: '';
    display: inline-block;
    border-top: solid 7px #203b3a;
    border-right: solid 4px transparent;
    border-left: solid 4px transparent;
    pointer-events: none;

    position: absolute;
    top: 18px;
    right: 13px;
  }
}

.select-box select {
  width: 100%;
  height: 40px;
  padding: 0 10px;
  border: none;
  border-radius: 0;
  box-sizing: border-box;
  color: #203b3a;
  background-color: transparent;
  appearance: none;

  &:focus {
    outline: none;
  }
}

.conteneur {
  display: flex;
  flex-direction: row;
  justify-content: center;
  flex-wrap: wrap;
  gap: 50px;
  padding-top: 80px;
  padding-inline: 50px;
  padding-bottom: 50px;
}

.card{
  
  border-radius: 20px;
  padding-top: 15px;
  background-color: rgba(255, 255, 255, 0.1);
  min-width: 400px;
  max-width: 600px;
  backdrop-filter:blur(5px);
  box-shadow: 0px 00px 40px rgba(0, 0, 0, 1);
  border: 1px solid rgba(255, 255, 255, 0.5);
  border-right: 1px solid rgba(255, 255, 255, 0.2);
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
}

.card.hide {
  display: none;
}

.conteneur-image {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.image img {
  border-radius: 20px;
  height: 270px;
  width: 300px;
}
.texte-conteneur {
  display: flex;
  flex-direction: column;
  margin-inline: 30px;
}

.texte-conteneur ul {
  padding: 0;
  list-style: none;
  font-size: 1.6rem;
  color: rgb(255, 255, 255);
}

.texte-conteneur ul h3{
  margin: 0;
  font-family: "trajan-pro-3", serif;
  font-weight: 400;
  font-size: 1.6rem;
}

.texte-conteneur li {

  margin-block: 15px;
  text-decoration: none;
  font-size: 1.2rem;
  color: rgb(255, 255, 255);
  transition: all 0.5s linear;
}
.conteneur-button{
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-bottom:20px ;
}
button{
  background-color: #bc2246;
  padding: 0.8em 3em;
  border: none;
  border-radius: 1000px;
  color: rgb(255, 255, 255);
  font-size: 1.2rem;
  transition: all 0.5s linear;
}

button:hover{
  background-color: #a0213e;
}

/* footer */
.footer {
  background-color: #203b3a;
  padding: 70px 0;
}
.container{
  max-width: 1200px;
  margin: auto;
}

.row {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}
.footer-col{
  display: flex;
  flex-direction: column;
  align-items: center;
}
.footer-col h4{
	font-size: 18px;
	color: #ffffff;
	text-transform: capitalize;
	margin: 0;
	font-weight: 500;
	position: relative;
  margin-bottom: 20px;
}



.footer-col h4::before {
  content: '';
	position: absolute;
	left:0;
	bottom: -10px;
	background-color: rgb(255, 255, 255);
  box-shadow:
    0 2px 14px #f8ffd6, /* inner white */
    0 2px 50px rgb(206, 142, 24), /* middle magenta */
    0 2px 14px rgb(218, 255, 69);
	height: 2px;
	box-sizing: border-box;
	width: 0px;
  transition: all 0.3s ease;
}

.footer-col h4:hover::before {
	width: 50px;
}

.footer-col h4 a{
	text-decoration: none;
  color: rgb(255, 255, 255);
}




.icon-wrapper {
  background-color: #ffffff; /* Fond rouge foncé */
  border-radius: 50%; /* Forme ronde */
  width: 40px; /* Taille du cercle */
  height: 40px; /* Taille du cercle */
  display: inline-flex; /* Pour centrer l'image */
  align-items: center;
  justify-content: center;
  margin-inline: 5px; /* Espacement entre les icônes */
  transition: all 0.5s ease;
}

.icon-wrapper:hover {
  box-shadow: 
    0 0 14px #f8ffd6, /* inner white */
    0 0 8px rgb(206, 142, 24), /* middle magenta */
    0 0 4px rgb(218, 255, 69); /* outer cyan */ ;
}


@media(width<=850px){
  .footer-col{
    width: 100%;
    margin-bottom: 30px;
}
}